local vMod = vm_lighting_wand

-- clear and current config
vm_lighting_wand.clear_crafting_items()
vm_lighting_wand.clear_all_levels()

-- set power
vMod.set_max_power(200000)

vMod.add_level(
  "Apprentice",
  {
    amount_start = 0,
    cost_per_use = 20,
    cost_per_node = 1.5,
    removal_reduction = 1.25,
    max_range = 7,
    fuel_efficiency = 0.85
  }
)

vMod.add_level(
  "Warming up",
  {
    amount_start = 4000,
    cost_per_use = 18,
    cost_per_node = 1.4,
    removal_reduction = 1.5,
    max_range = 14,
    fuel_efficiency = 0.9
  }
)

vMod.add_level(
  "On Fire",
  {
    amount_start = 8000,
    cost_per_use = 16,
    cost_per_node = 1.2,
    removal_reduction = 2,
    max_range = 30,
    fuel_efficiency = 0.95
  }
)

vMod.add_level(
  "Pyro Apprentice",
  {
    amount_start = 16000,
    cost_per_use = 14,
    cost_per_node = 1,
    removal_reduction = 2.5,
    max_range = 45,
    fuel_efficiency = 1
  }
)

vMod.add_level(
  "Pryo Master",
  {
    amount_start = 32000,
    cost_per_use = 12,
    cost_per_node = 0.8,
    removal_reduction = 3,
    max_range = 70,
    fuel_efficiency = 1.1
  }
)

vMod.add_level(
  "Sun Master",
  {
    amount_start = 64000,
    cost_per_use = 10,
    cost_per_node = 0.6,
    removal_reduction = 4,
    max_range = 100,
    fuel_efficiency = 1.25
  }
)

vMod.add_level(
  "Sun Slinger",
  {
    amount_start = 128000,
    cost_per_use = 8,
    cost_per_node = 0.4,
    removal_reduction = 5,
    max_range = 150,
    fuel_efficiency = 1.5
  }
)
vMod.custom_config = false
